Page MenuHomePhabricator

Logo change request li.wikibooks
Closed, ResolvedPublic

Description

The Limburgish Wikibooks still uses the old Wikibooks logo in English without the slogan. It should be replaced with the new variant in Limburgish which includes the slogan: https://commons.wikimedia.org/wiki/File:Wikibooks-logo-li.png

Link to wiki discussion: https://li.wikibooks.org/wiki/Euverl%C3%A8k:Veurblaad#This_Wiki_need_upload_wiki.png

Thank you in advance!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2018, 9:07 PM
Urbanecm claimed this task.May 2 2018, 9:11 PM
Urbanecm triaged this task as Medium priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 2 2018, 9:11 PM

I'm not sure (@Urbanecm will know better for sure) but isn't the file at commons a bit undersized to get quality versions displayed (specially for 1.5 and 2x)? I feel we should get it converted to SVG.

It probably will be ok for the 1x logo version, but I'll use the SVG that already exist (https://commons.wikimedia.org/w/index.php?title=File:Wikibooks-logo-li.svg) of course.

Okay. Please note that for some reason the motto of the logo appears cut ab initio and in fine except when the original file is shown. Thumbnail or file issue? Regards.

Thank you for noticing me. I'll try to create a better SVG.

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.May 3 2018, 1:28 PM
Urbanecm moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

It still looks like the last word ("werreld") is slightly off. One English version has that too: https://commons.wikimedia.org/wiki/File:Wikibooks-logo-en-unpathed.svg while another one does not: https://commons.wikimedia.org/wiki/File:Wikibooks-logo-en.svg

I gave up. Let's change the logo without introducing the HD version as well (so at Retina displays, the logo can be blurred or completely missing; but just for clarify - this is the current state as well, so no change at this point).

Change 432551 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Change liwikibooks logo

https://gerrit.wikimedia.org/r/432551

Urbanecm moved this task from Working on to To deploy on the User-Urbanecm board.May 11 2018, 7:52 AM
Urbanecm moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

Hello, I scheduled the patch(es) above for deployment and it will happen on Tuesday. It should happen between 13:00 and 14:00 UTC.

Very good, thank you!

Change 432551 merged by jenkins-bot:
[operations/mediawiki-config@master] Change liwikibooks logo

https://gerrit.wikimedia.org/r/432551

Change 434494 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Use uploaded logo in wgLogo for liwikibooks

https://gerrit.wikimedia.org/r/434494

Change 434494 merged by jenkins-bot:
[operations/mediawiki-config@master] Use uploaded logo in wgLogo for liwikibooks

https://gerrit.wikimedia.org/r/434494

Mentioned in SAL (#wikimedia-operations) [2018-05-22T14:26:46Z] <addshore@tin> Synchronized static/images/project-logos/liwikibooks.png: SWAT: T193680 [[gerrit:432551|Change liwikibooks logo]] (duration: 01m 18s)

Mentioned in SAL (#wikimedia-operations) [2018-05-22T14:28:48Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: T193680 [[gerrit:434494|Use uploaded logo in wgLogo for liwikibooks]] (duration: 01m 16s)

Urbanecm closed this task as Resolved.May 22 2018, 2:39 PM

Deployed. If anything's broken, please reopen&comment. Thanks!

Urbanecm reopened this task as Open.May 23 2018, 10:28 AM

The old logo is in Varnish cache. The command below should fix it.

$ you@terbium echo "https://en.wikipedia.org/static/images/project-logos/liwikibooks.png" | mwscript purgeList.php
Urbanecm closed this task as Resolved.May 23 2018, 1:40 PM

Check again, please.

Vvjjkkii renamed this task from Logo change request li.wikibooks to brdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Urbanecm; removed: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:12 AM
CommunityTechBot renamed this task from brdaaaaaaa to Logo change request li.wikibooks.Jul 3 2018, 12:05 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Urbanecm, Dereckson.